KDE 4.7 PyKDE API Reference

- KDE's Python API

# KPixmapSequenceWidget Class Reference

`from PyKDE4.kdeui import *`

Inherits: QWidget → QObject

## Detailed Description

\class KPixmapSequenceWidget kpixmapsequencewidget.h KPixmapSequenceWidget

A simple widget showing a fixed size pixmap sequence.

The KPixmapSequenceWidget uses the KPixmapSequenceOverlayPainter to show a sequence of pixmaps. It is intended as a simple wrapper around the KPixmapSequenceOverlayPainter in case a widget is more appropriate than an event filter.

Author:
  Sebastian Trueg <trueg@kde.org>

Since:
  4.4

## Methods
| __init__ (self, QWidget parent=0)
int | interval (self)
KPixmapSequence | sequence (self)
| setInterval (self, int msecs)
| setSequence (self, KPixmapSequence seq)
QSize | sizeHint (self)

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Constructor

int interval | ( |  | self ) |

The interval between frames.

\sa setInterval, KPixmapSequenceOverlayPainter.interval

KPixmapSequence sequence | ( |  | self ) |

The sequence used to draw the overlay.

\sa setSequence

setInterval | ( | self, |
|  | int | msecs
| ) |  |  |

Set the interval between frames. The default is 200. \sa interval, KPixmapSequenceOverlayPainter.setInterval

setSequence | ( | self, |
|  | KPixmapSequence | seq
| ) |  |  |

Set the sequence to be used. By default the KDE busy sequence is used.

QSize sizeHint | ( |  | self ) |

\reimpl